Trending Shorts
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/trending \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/trending"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/trending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
YouTube
Trending Shorts
Get about 48 trending shorts. Continue hitting this to get more shorts (get new ones with each call)
GET
/
api
/
v1
/
openclaw
/
youtube
/
trending
Trending Shorts
Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/trending" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"shorts": [
{
"id": "ou0nl5ET0HA",
"thumbnail": "https://img.youtube.com/vi/ou0nl5ET0HA/maxresdefault.jpg",
"url": "https://www.youtube.com/watch?v=ou0nl5ET0HA",
"title": "That hooper who says their just shoes",
"commentCountInt": 168,
"likeCountInt": 151957,
"viewCountInt": 13798774,
"publishDateText": "Aug 7, 2025",
"channel": {
"id": "...",
"handle": "dameuniverse",
"title": "Dame Universe"
},
"durationMs": 19000,
"durationFormatted": "00:00:19"
}
]
},
"meta": {
"platform": "youtube",
"endpoint": "trending",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.
Note
Rates and quotas may apply based on your Yoinkit subscription.⌘I